summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-04-09 16:30:38 +0200
committerMichał Górny <mgorny@gentoo.org>2012-04-09 17:11:14 +0200
commita2b368da3c260edb3196a3a9c8dd3cc92d36b1b4 (patch)
treeff5473cf244813b221f34f24cbc97cbe2f3b4c7d /scripts/review
parentsys-process/ts: Execute tests more portably thanks to mgorny. (diff)
downloadsunrise-a2b368da3c260edb3196a3a9c8dd3cc92d36b1b4.tar.gz
sunrise-a2b368da3c260edb3196a3a9c8dd3cc92d36b1b4.tar.bz2
sunrise-a2b368da3c260edb3196a3a9c8dd3cc92d36b1b4.zip
Use egencache instead of custom use.local.desc gen.
Diffstat (limited to 'scripts/review')
-rwxr-xr-xscripts/review5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/review b/scripts/review
index 03e8743e5..f0256c39a 100755
--- a/scripts/review
+++ b/scripts/review
@@ -89,7 +89,10 @@ if [[ $(git diff profiles/categories) ]]; then
exit ;;
esac
fi
-LC_ALL="C" sh scripts/use_desc_gen.sh . || exit $?
+
+egencache --ignore-default-opts --portdir-overlay=. \
+ --repo=sunrise --update-use-local-desc || exit $?
+
if [[ $(git diff profiles/use.local.desc) ]]; then
git diff profiles/use.local.desc | if [[ "$opt_quiet" == "0" ]] ; then less; else cat; fi
echo -n "${BOLD}Commit changes?${NORMAL} [${GREEN}Yes${NORMAL}/${RED}No${NORMAL}] "